<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
		 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>ruoyi</artifactId>
		<groupId>com.ruoyi</groupId>
		<version>3.8.8</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>business</artifactId>

	<description>
		业务模块
	</description>

	<dependencies>

		<!-- 通用工具-->
		<dependency>
			<groupId>com.ruoyi</groupId>
			<artifactId>ruoyi-common</artifactId>
		</dependency>

<!--		&lt;!&ndash; Mysql驱动包 &ndash;&gt;-->
<!--		<dependency>-->
<!--			<groupId>mysql</groupId>-->
<!--			<artifactId>mysql-connector-java</artifactId>-->
<!--		</dependency>-->
<!--		<dependency>-->
<!--			<groupId>com.github.xiaoymin</groupId>-->
<!--			<artifactId>knife4j-spring-boot-starter</artifactId>-->
<!--			<version>3.0.3</version>-->
<!--		</dependency>-->

		<!-- 防止进入swagger页面报类型转换错误，排除3.0.0中的引用，手动增加1.6.2版本 -->
<!--		<dependency>-->
<!--			<groupId>io.swagger</groupId>-->
<!--			<artifactId>swagger-models</artifactId>-->
<!--			<version>1.6.2</version>-->
<!--		</dependency>-->

		<!-- 核心模块-->
		<dependency>
			<groupId>com.ruoyi</groupId>
			<artifactId>ruoyi-framework</artifactId>
		</dependency>

		<!-- 加密解密工具 opc-->
<!--		<dependency>-->
<!--			<groupId>org.bouncycastle</groupId>-->
<!--			<artifactId>bcprov-jdk15on</artifactId>-->
<!--			<version>1.70</version>-->
<!--		</dependency>-->

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>org.mapstruct</groupId>
			<artifactId>mapstruct</artifactId>
			<version>1.3.1.Final</version>
		</dependency>
		<dependency>
			<groupId>org.mapstruct</groupId>
			<artifactId>mapstruct-processor</artifactId>
			<version>1.3.1.Final</version>
			<scope>provided</scope>
		</dependency>

		<!--rocketmq-->
		<dependency>
			<groupId>org.apache.rocketmq</groupId>
			<artifactId>rocketmq-spring-boot-starter</artifactId>
			<version>2.1.1</version>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-amqp</artifactId>
		</dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>easyexcel</artifactId>
			<version>3.1.0</version>
			<exclusions>
				<exclusion>
					<artifactId>poi-ooxml-schemas</artifactId>
					<groupId>org.apache.poi</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<!--websocket-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-websocket</artifactId>
		</dependency>

		<!-- OPC UA 集成 -->
		<dependency>
			<groupId>com.kangaroohy</groupId>
			<artifactId>milo-spring-boot-starter</artifactId>
			<version>3.1.4.0.6.15</version>
		</dependency>


<!--		<dependency>-->
<!--			<groupId>com.alibaba</groupId>-->
<!--			<artifactId>fastjson</artifactId>-->
<!--			<version>1.2.83</version>-->
<!--		</dependency>-->

	</dependencies>

</project>